Apache Tomcat 6.0.51

## org.apache.tomcat.util.collections
Class LRUCache

    java.lang.Object
      org.apache.tomcat.util.collections.LRUCache

Deprecated.

    public class LRUCache

extends java.lang.Object

This class implements a Generic LRU Cache

Author:
  Ignacio J. Ortega

Constructor Summary
`LRUCache(int i)` Deprecated.

Method Summary
`void` | `clear()` Deprecated.
`java.lang.Object` | `get(java.lang.Object key)` Deprecated.
`void` | `put(java.lang.Object key, java.lang.Object value)` Deprecated.
`java.lang.Object` | `remove(java.lang.Object key)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LRUCache

    public LRUCache(int i)

  Deprecated.

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

  Deprecated.

### put

    public void put(java.lang.Object key,
                    java.lang.Object value)

  Deprecated.

### remove

    public java.lang.Object remove(java.lang.Object key)

  Deprecated.

### clear

    public void clear()

  Deprecated.

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.